| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::DCameraItemListDrag Class Reference

Provides a drag object for a list of camera items. More...

Inheritance diagram for Digikam::DCameraItemListDrag:

## Public Member Functions
| DCameraItemListDrag (const QStringList &cameraItemPaths)

## Static Public Member Functions
static bool | canDecode (const QMimeData *e)
static bool | decode (const QMimeData *e, QStringList &cameraItemPaths)
static QStringList | mimeTypes ()

## Detailed Description

When a camera item is moved through drag'n'drop an object of this class is created.